<?php
    include_once("connect.php");
    include("session.php");//Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
        imprime_error("La session ha caducado o es invalida. Por favor vuelva a iniciar session");
    }/*no hay sesion*/
    else{
        $dato=explode("|",$_SESSION['usuario']);
        $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session
    $conexion=conecta_default();

    extract($_POST);
    $calificado=0;
    $tnota=$_POST['tiponota'];
    $i=0;
    $rfc=$_POST['rfcpr'];
    $cdentr=$_POST['cdent'];
    $vipi=$_POST['vip'];
    $rfcmayus=strtoupper($rfc);



    function imprime_error($message){ ?>
        <script language='JavaScript1.2' type='text/javascript' class='gen_script'>
            if($inputs)
                $inputs.prop("disabled", false);
            $('#Undo1').prop("disabled", true);
        </script>
        <font color="FF0000"><center><b><?php echo $message;?></b></center></font>
        <?php
        die();
    }

    if(!$rfc||ctype_space($rfc)){
        imprime_error("Escribe el RFC por favor");
    }
    else if(strlen($rfc) < 10){
        imprime_error("Revisa el RFC por favor, debe contener 10 caracteres");
    }
if($vipi==0){$tipoins="RRB 624";$calif="624";}else{$tipoins="VIP"; $calif="1500";}
    $dia_actual="SELECT curdate();";
    $consul_dia_actual=mysql_query($dia_actual);
    $rDia_actual=mysql_fetch_row($consul_dia_actual);

    list($y,$m,$d)=explode("-",$rDia_actual[0]);
    $fechai=$y."-".$m."-01";

    $mc1="SELECT id_inver,nombre,appat,apmat from inversionista where rfc='$rfcmayus'";
    $mh1=mysql_query($mc1) or die("Error 0: ".mysql_error());

    if(mysql_affected_rows()){

        $id_dist = $sesion->id;
        $cuenta=0;
        $cuentap=0;
        $qp = "SELECT id_inver, rfc, nombre, appat, apmat, vip FROM inversionista WHERE rfc ='$rfcmayus'";
        $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
        $rp = mysql_fetch_object($cp);
        $id_dist = $rp->id_inver; 
        $vip = $rp->vip; 
        $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
        if($tnota==10||$tnota==11){
            //if($tnota==10){
                $cal1="SELECT sum(puntos) from depositos
                       inner join transacciones on depositos.transacciones_idtransacciones=transacciones.idtransacciones
                       where transacciones.inversionista_id_inver='$id_dist' and transacciones.fechat between '$fechai' and '$rDia_actual[0]'";

                $cal2=mysql_query($cal1) or die ("Error en la calificación ggf".mysql_error());
                $cal3=mysql_fetch_row($cal2);
      
           // }
        
            $qCuenta = "SELECT COUNT(id_prod) FROM productos";
            $cCuenta = mysql_query($qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
            while($rCuenta = mysql_fetch_row($cCuenta)){
                $cuenta = $rCuenta[0]+1; // Cantidad de Productos para el contador.
            }

            $qCuenta1 = "SELECT COUNT(id_promo) FROM promod";
            $cCuenta1 = mysql_query($qCuenta1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
            while($rCuenta1 = mysql_fetch_row($cCuenta1)){
                $cuentap = $rCuenta1[0]+1; // Cantidad de Productos para el contador.
            }
            ?>

            <head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
             <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
             <script language='JavaScript' src='popcalendar.js'></script>
             <script language='JavaScript' src='../scripts/Val_2.js'></script>
             </head>   
            <form name='Selec_Prod_Pedido' action='../admin/eventonew2.php' method='post'>
                <center><font size="6" color="red">Atenci&oacute;n</font><br>
                <font color="red">El siguiente distribuidor ser&aacute; dado de alta como</font><font size="4" color="blue"><?php echo $tipoins;?></font><bR>
                <font color="red">su calificaci&oacute;n mensual ser&aacute; de </font><font size="4"   color="blue"><?php echo $calif;?> puntos</font>
                
                
                <br><br><font size="4" ><b><?php echo "$rfcmayus $nombre";?></b></font>
                <?php 
                    echo "<br>".$calf;?>
                <br><?php echo "Centro de entrega: ".$cdentr;?>
                <table id='dProductoLista' CellPadding=5>
                    <tfoot><tr>
                            <td>Total</td><td id='tcantidad'></td><td id='tprecio'></td><td id='tpuntos'></td>
                    </tr></tfoot>
                    <tbody id='ProductoLista'><tr style="color: white; background: #594106;">
                            <th>Producto</th><th>Cantidad</th><th>Precio</th><th>Puntos</th><th></th>
                    </tr></tbody>
                </table>
                <br><br>
                <input type = 'submit' value='Continuar' name='hacer_pedido' /><br><br><?php// pedido dinamico ?>
                <?php 
              
           
                
                ?>
                <input type='hidden' name='rfcpr' value=<?php echo "'$rfc'";?> />
                <input type='hidden' name='vip' value=<?php echo "'$vipi'";?> />
                <input type='hidden' name='inscrip' value='8' />
                <input type='hidden' name='tiponota' value=<?php echo "'$tnota'";?> />
                <?php $titulo = ($tnota == 10) ? "Inscripcion" : "Nota de Salida"; ?>
                <center><br><font size="6" color="#5C3C12"><?php echo $titulo;?></font>
                
                <center>
                <?php
              
	                $q2 = "SELECT id_promo, promodesc, precio, puntos, tipo_promo from promod where tipo_promo=3  and (id_promo=1090 or id_promo=1092 or id_promo=1101 or id_promo=1106 or id_promo=1103)";
	                
                if($vipi==0){$elprod=525;$elprods="(id_prod=525 or id_prod=530)";
                ?>
               
                <font size="5"><b><br>Inscripciones Especiales</b></font><table border="1">
                    <tr><th>Cantidad</th><th>Descripcion</th><th>Precio</th><th>Puntos</th><th>Contenido Predeterminado</th><th>Din&aacute;mica</th></tr>
                    <?php
                                               
                    $cr2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
                    while($r1 = mysql_fetch_row($cr2)){
                        $r1[1] = utf8_encode($r1[1]);

                        $q21 = "SELECT idprod, cant, nombreProd from promo join productos on promo.idprod=productos.id_prod
                                where promo.promo ='$r1[0]' and tipo_prod=1";
                        $c21 = mysql_query($q21) or die ('Error en la consulta' . mysql_error());
                        while($r11 = mysql_fetch_row($c21)){
                            $r11[2] = utf8_encode($r11[2]);
                            $prom_prods[] = $r11;
                        }

                        $on_click = "'addprodventa(" . $i . "," . $r1[0] . "," . $r1[2] . "," . $r1[3] . "," . $r1[3] .
                            (($r1[4] == 3) ? "," . json_encode($prom_prods) . ");" : ");");
                        ?>

                        <tr bgcolor='#CCFFCC'><td><input value='Agregar' type='button' 
                            onclick=<?php echo $on_click . "' id='button".$i."'";?> />
                            <input type='text' value='1' size='5' maxlength='5' id=<?php echo 'cant'.$i;?> /></td>
                            <?php echo "<td id='nom$i' align='center'>$r1[1]</td><td align='center'>$r1[2]</td><td align='center'>$r1[3]</td>";?>
                            <td align="center">
                                <?php
                                foreach ($prom_prods as $prom_prod)
                                    echo"$prom_prod[1] $prom_prod[2]<br>";
                                unset($prom_prods);
                                $i++;
                                ?>
                            </td>
                            <td align="center"><?php echo(($r1[4] == 3) ? "Si" : "No");?></td>
                        </tr>
                    <?php } ?>
                </table>
                <?php } else{$elprods="(id_prod=1 or id_prod=550)";}?>
                <TABLE CellPadding=5>
                    <br><br><font size='5' >Inscripciones de linea:</font><br>
                    <tr style="color: white; background: #006633;">
                        <th>Id. Producto</th><th>Nombre</th><th>Precio</th><th>Puntos</th><th>Existencias</th><th>Cantidad</th>
                    </tr>

                    <?php
	                        $qd = "SELECT id_prod, nombreProd, precio, puntos, cantidad FROM productos join stock on productos.id_prod=stock.idprod
                           where idcd='$cdentr' and tipoprod='3' and $elprods order by nombreProd asc";
                    $cd = mysql_query($qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
                    if (mysql_affected_rows()){
                        while($renglon = mysql_fetch_row($cd)){
                            $renglon[1] = utf8_encode($renglon[1]);?>
                            <tr bgcolor="#cedaf8">
                                <td><?php echo $renglon[0];?></td>
                                <td id=<?php echo "'nom".$i."'>" . $renglon[1];?></td>
                                <td><?php echo "$" . $renglon[2];?></td>
                                <td align="center"><?php echo $renglon[3];?></td>
                                <td align="center"><?php echo $renglon[4];?></td>
                                <td><input type='text'  value='1' size='5' maxlength='5' id='<?php echo "cant".$i;?>'></td>
                                <td><input value='Agregar' type='button' 
                                    onclick=<?php echo "'addprodventa(" . $i . "," . $renglon[0] . "," . $renglon[2] . "," . $renglon[3] . "," . $renglon[4] . ");' id='button".$i."'";?> /></td>
                            </tr>
                            <?php
                            $i++;
                        }}
                                            
                    $copia_id_prod_val=($tnota==10) ? 0 : 0; ?>
                  
                        <input type=hidden <?php echo "value='".$copia_id_prod_val."' name=copia_id_prod".$i;?> />
                        
                        <input type='hidden' value="Flete" name=<?php echo "copia_nombreProd".$i;?> />
                        
                      
                        <input type='hidden' value='100' name=<?php echo "existencias".$i;?> />

                       
                        <input type='hidden' value='0' name=<?php echo "copia_puntos".$i;?> />
                        <input type='hidden' name='centroent' value=<?php echo "'$cdentr'";?> />

                   
                      <input type='hidden' name='cuentale' size='5' maxlength='5' value=<?php echo "'$cuenta'";?> />
                    
                </table><br>
            </form></center>
            <script language='JavaScript1.2' type='text/javascript' class='gen_script'>
                if($inputs)
                    $inputs.prop("disabled", true);
                $('#Undo1').prop("disabled", false);
            </script>
            <?php
        }
        else{
            imprime_error("Tipo de Nota Invalida");
        }
    }
    else{
        imprime_error("RFC No Encontrado");
    }
